- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstOfflineTask Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
char | processName [96]
| set by plug-in
double | readPosition
| set by plug-in/Host
double | writePosition
| set by plug-in/Host
VstInt32 | readCount
| set by plug-in/Host
VstInt32 | writeCount
| set by plug-in
VstInt32 | sizeInputBuffer
| set by Host
VstInt32 | sizeOutputBuffer
| set by Host
void * | inputBuffer
| set by Host
void * | outputBuffer
| set by Host
double | positionToProcessFrom
| set by Host
double | numFramesToProcess
| set by Host
double | maxFramesToWrite
| set by plug-in
void * | extraBuffer
| set by plug-in
VstInt32 | value
| set by Host or plug-in
VstInt32 | index
| set by Host or plug-in
double | numFramesInSourceFile
| set by Host
double | sourceSampleRate
| set by Host or plug-in
double | destinationSampleRate
| set by Host or plug-in
VstInt32 | numSourceChannels
| set by Host or plug-in
VstInt32 | numDestinationChannels
| set by Host or plug-in
VstInt32 | sourceFormat
| set by Host
VstInt32 | destinationFormat
| set by plug-in
char | outputText [512]
| set by plug-in or Host
double | progress
| set by plug-in
VstInt32 | progressMode
| Reserved for future use.
char | progressText [100]
| set by plug-in
VstInt32 | flags
| set by Host and plug-in; see enum VstOfflineTaskFlags
VstInt32 | returnValue
| Reserved for future use.
void * | hostOwned
| set by Host
void * | plugOwned
| set by plug-in
char | future [1024]
| Reserved for future use.

## Detailed Description

Offline Task Description.

## Member Data Documentation

VstInt32 VstOfflineTask::destinationFormat

| set by plug-in

double VstOfflineTask::destinationSampleRate

| set by Host or plug-in

void* VstOfflineTask::extraBuffer

| set by plug-in

VstInt32 VstOfflineTask::flags

| set by Host and plug-in; see enum VstOfflineTaskFlags

char VstOfflineTask::future[1024]

| Reserved for future use.

void* VstOfflineTask::hostOwned

| set by Host

VstInt32 VstOfflineTask::index

| set by Host or plug-in

void* VstOfflineTask::inputBuffer

| set by Host

double VstOfflineTask::maxFramesToWrite

| set by plug-in

VstInt32 VstOfflineTask::numDestinationChannels

| set by Host or plug-in

double VstOfflineTask::numFramesInSourceFile

| set by Host

double VstOfflineTask::numFramesToProcess

| set by Host

VstInt32 VstOfflineTask::numSourceChannels

| set by Host or plug-in

void* VstOfflineTask::outputBuffer

| set by Host

char VstOfflineTask::outputText[512]

| set by plug-in or Host

void* VstOfflineTask::plugOwned

| set by plug-in

double VstOfflineTask::positionToProcessFrom

| set by Host

char VstOfflineTask::processName[96]

| set by plug-in

double VstOfflineTask::progress

| set by plug-in

VstInt32 VstOfflineTask::progressMode

| Reserved for future use.

char VstOfflineTask::progressText[100]

| set by plug-in

VstInt32 VstOfflineTask::readCount

| set by plug-in/Host

double VstOfflineTask::readPosition

| set by plug-in/Host

VstInt32 VstOfflineTask::returnValue

| Reserved for future use.

VstInt32 VstOfflineTask::sizeInputBuffer

| set by Host

VstInt32 VstOfflineTask::sizeOutputBuffer

| set by Host

VstInt32 VstOfflineTask::sourceFormat

| set by Host

double VstOfflineTask::sourceSampleRate

| set by Host or plug-in

VstInt32 VstOfflineTask::value

| set by Host or plug-in

VstInt32 VstOfflineTask::writeCount

| set by plug-in

double VstOfflineTask::writePosition

| set by plug-in/Host

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.